import { getAssetPath } from "./services/assetsService.ts";
import { execSync } from "node:child_process";
import { startBuffering } from "./services/bufferingService.ts";
import { startProcessing } from "./services/processingService.ts";
import { startUpload } from "./services/uploadService.ts";
import { startEspoStatusService } from "./services/espoStatusService.ts";

async function main() {
  // run mkdirs.sh
  execSync("sh mkdirs.sh");

  startBuffering();

  startProcessing();

  startUpload();

  startEspoStatusService();
}

main();
